# Generated by Django 4.2 on 2023-04-25 18:36

from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
        ('app_perfiles', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Usuario',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='direccion email')),
                ('first_name', models.CharField(blank=True, max_length=30, verbose_name='nombres')),
                ('last_name', models.CharField(blank=True, max_length=30, verbose_name='apellidos')),
                ('is_staff', models.BooleanField(default=False, help_text='Indica si el usuario puede iniciar sesion en admin', verbose_name='es_staff')),
                ('is_active', models.BooleanField(default=True, help_text='Designa si este usuario es trartado como activoDeseleccione esto en lugar de eliminar cuentas', verbose_name='activo')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='fecha de registro')),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.permission', verbose_name='user permissions')),
            ],
            options={
                'verbose_name': 'usuario',
                'verbose_name_plural': 'usuarios',
            },
        ),
        migrations.DeleteModel(
            name='User',
        ),
    ]
